package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 活动金 - 优惠类型
 */
public enum RebateActivityPreferentialTypeEnum {
    type1(1, "满减"),
    type2(2, "立减"),
    type3(3, "折扣"),
    ;

    private Integer number;

    private String name;

    RebateActivityPreferentialTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static RebateActivityPreferentialTypeEnum getDataByNumber(Integer number) {
        for (RebateActivityPreferentialTypeEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
